testing::internal::FlatTupleElemBase< FlatTuple< T... >, I > Struct Template Reference

`#include <gtest.h>`

## Public Types

using | value_type = typename ElemFromList< I, typename MakeIndexSequence< sizeof...(T)>::type, T... >::type

## Public Member Functions

| FlatTupleElemBase ()=default
| FlatTupleElemBase (value_type t)

## Public Attributes

value_type | value

## Detailed Description

### template<typename... T, size_t I>
struct testing::internal::FlatTupleElemBase< FlatTuple< T... >, I >

Definition at line 7699 of file gtest.h.

## Member Typedef Documentation

## value_type

template<typename... T, size_t I>

using testing::internal::FlatTupleElemBase< FlatTuple< T... >, I >::value_type = typename ElemFromList<I, typename MakeIndexSequence<sizeof...(T)>::type, T...>::type

Definition at line 7702 of file gtest.h.

## Constructor & Destructor Documentation

## FlatTupleElemBase() [1/2]

template<typename... T, size_t I>

testing::internal::FlatTupleElemBase< FlatTuple< T... >, I >::FlatTupleElemBase | ( |  | ) |

default

## FlatTupleElemBase() [2/2]

template<typename... T, size_t I>

testing::internal::FlatTupleElemBase< FlatTuple< T... >, I >::FlatTupleElemBase | ( | value_type | t | ) |

inlineexplicit

Definition at line 7704 of file gtest.h.

## Member Data Documentation

## value

template<typename... T, size_t I>

value_type testing::internal::FlatTupleElemBase< FlatTuple< T... >, I >::value

Definition at line 7705 of file gtest.h.

The documentation for this struct was generated from the following file:

- test/eclipse-cygwin/lib/gtest/gtest.h